@import "../fonts/font.css";
@import "./variables.scss";
@import "./animations.scss";
@import "../../components/Header/Header.scss";
@import "../../components/Footer/Footer.scss";
@import "../../components/Loader/Loader.scss";
@import "../../components/projects/ProjectContainer.scss";
@import "../../components/projects/projectItem/ProjectItem.scss";
@import "../../components/AboutMe/AboutMe.scss";


*, 
*::after, 
*::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    font-family: "Fira Code";
    position: relative;
    background-color: $light-bg;
    scroll-behavior: smooth;
} 

.App {
    width: 100%;
    height: 100%;
    animation: fadeIn 1s linear;
    overflow: hidden;
}
.App.light {
    color-scheme: light;
    transition: all 1s ease-in;
}

.App.dark {
    color-scheme: dark;
    background-color: $dark-bg;
    color: white;
    transition: all 1s ease-in;
}

h1, h2, h3 {
    font-family: "Poppins Bold";
}
h2 {
    font-size: 8rem;
    line-height: 8rem;
    margin-bottom: 5rem;
    margin-bottom: 2rem;
}


.hidden {
    opacity:0;
    filter: blur(10px);
    -webkit-filter: blur(10px);
    transition: all .3s cubic-bezier(0,0,.5,1);
}

.show {
    opacity: 1;
    -webkit-filter: blur(0px);
    filter: blur(0px);
    -webkit-filter: blur(0px);
    visibility: visible;
    transition: all .3s cubic-bezier(0,0,.5,1);
}

.display-none {
    display: none
}

.opacity-0 {
    opacity: 0;
    visibility: hidden;
}

.fadedIn {
    animation: fadeInBlurred 2s 1s forwards;
}

.showInWithBlur {
    animation: fadeInBlurred 2s forwards;
}

.darker {
    background-color: #F6F6F6;
    transition: all 5s;
}

